package de.duehl.swing.ui.elements.slider.data;

public interface TimeSliderUser {

    /** Gibt an, ob gerade pausiert wird. */
    boolean isPaused();

    /** Startet die Pause. */
    void pause();

    /**
     * Beendet die Pause.
     *
     * Der minimale Wert ist immer 0. Über die Anteile kann man die frames zum Neuanfang berechnen.
     *
     * @param sliderValue
     *            Der neue Wert des Sliders.
     * @param maximumSliderValue
     *            Der maximale Wert des Sliders.
     */
    void resume(int sliderValue, int maximumSliderValue);

}
